// GAI_Random.cpp: implementation of the GAI_Random class.
//
//////////////////////////////////////////////////////////////////////

#include "ph.h"
#include "GAI_Random.h"
#include "GActiveObject.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

GAI_Random::GAI_Random(GEngine *engine, GActiveObject *object):
GAI(engine, object)
{
	m_tochange = 0;
}

GAI_Random::~GAI_Random()
{

}


void GAI_Random::Move()
{
	if (!m_object) return;

	// nastavuje pozadavek na oziveni
	if (!m_object->m_active && rand()%200 == 0)	m_object->m_action4 = true;
	else m_object->m_action4 = false;
	
	if (!m_object->m_active) return;
	
	// TODO: fak se musi udelat ty operatory po HVector3
	if (--m_tochange < 0 || m_object->m_position == m_object->m_old.m_position) {

		m_object->m_left  = false;
		m_object->m_right = false;
		m_object->m_up    = false;
		m_object->m_down  = false;
		m_object->m_forward = false;
		m_object->m_backward = false;
		
		m_object->m_rotY = rand()%40 - 20;

		switch (rand()%3)
		{
		case 0: m_object->m_left  = true; break;
		case 1: m_object->m_right = true; break;
		}
/*
		switch (rand()%3)
		{
		case 0: m_object->m_up    = true; break;
		case 1: m_object->m_down  = true; break;
		}
*/	

	
		switch (rand()%3)
		{
		case 0: m_object->m_forward    = true; break;
		case 1: m_object->m_backward   = true; break;
		}
	
		
		
		m_tochange = rand()%20+15;
		
	} // m_tochange == 0
	else {
		m_object->m_rotY = 0;
	}

	// strelba obcas
	if (rand()%3 == 0) m_object->m_action1 = true; 
	else m_object->m_action1 = false;
		
	// obcas zmena zbrane - kdyz dojdou naboje
//	if (m_object->m_weapona->m_ammo == 0) m_object->m_action2 = true; 
//	else m_object->m_action2 = false;
		
	if (rand()%40 == 0) m_object->m_action2 = true; 
	else m_object->m_action2 = false;
	
	
}
