// MMenu.h: interface for the MMenu class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MMENU_H__DE859D91_E44F_49BD_A11B_E64F52420DD0__INCLUDED_)
#define AFX_MMENU_H__DE859D91_E44F_49BD_A11B_E64F52420DD0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "GBase.h"

#include "H3DModel2.h"

class GRun;

// obsluhuje uvodni obrazovku menu
class MMenu : public GBase
{
public:
	void TimePassed(int milisec);
	MMenu(GRun *run);
	virtual ~MMenu();

  // vyrenderuje menu
  virtual void Render();
  // obsluhuje klavesnici
  virtual void KeyDown(Uint8 key);

  int m_back_ground; // textura pozadi

  H3DModel   m_logo_model; // model loga hippo
  float      m_rott;       // pootoceni loga


  GRun *m_run; // ukazatel na zakladni hru

};

#endif // !defined(AFX_MMENU_H__DE859D91_E44F_49BD_A11B_E64F52420DD0__INCLUDED_)
