//UTILS ??

#include "ph.h"
#include "global_func.h" 


#ifndef WIN32
#include <sys/file.h>
#else
#define getenv(x) ""
#endif


GLfloat SCREEN_WIDTH = 1;
GLfloat SCREEN_HEIGHT = 1;

// /////////////////////////////////////////////////////// hledani jmena souboru
// TOHLE JE TADY PROZATIMNE !!!! 
#undef PACKAGE_DATA_DIR
#define PACKAGE_DATA_DIR "/home/berny/Projects/Kulic2/data"


// V Linuxu PACKAGE_DATA_DIR obsahuje adresar, kam se hra nainstalovala....
#ifndef PACKAGE_DATA_DIR
#define PACKAGE_DATA_DIR ""
#endif

// seznam podadresaru, kde se maji soubory hledat
#define SUBDIRS 7
char subdirs[SUBDIRS][40] = 
{
#ifndef WIN32	
	"", "textures/", "models/", "sound/", "maps/", "scenes/", "cfg/",
#else
	"", "textures\\", "models\\", "sound\\", "maps\\", "scenes\\",	"cfg\\", // ZATRACENY \\ V DOSU!!!!
#endif	
};

// prohledava jeden adresar - zkousi, zda se soubor nenachazi v podadresarich z subdirs
bool search_subdir(char *filename, char *directory)
{
	char tmp[MAX_PATH];
	FILE *f;
	
	for (int i = 0; i < SUBDIRS; i++) {
		
		// originalni jmeno
		sprintf(tmp, "%s%s%s", directory, subdirs[i], filename);
		if ((f = fopen(tmp, "rb")) != NULL) {
			fclose(f);
			strcpy(filename, tmp);
			return true;
		}
	}
	
	return false;
}


// hleda soubor podle jmena
// V linuxu prohledava aktualni adresar, <HOME DIR>/.redeemer/ a PACKAGE_DATA_DIR/ 
bool find_file(char *filename, bool errormessage)
{
	// Zkusime aktualni adresar
	if (search_subdir(filename, "")) return true;

	char dir[200];
	
	// domovsky adresar uzivatele
	sprintf(dir, "%s/.redeemer/", getenv("HOME"));
	if (search_subdir(filename, dir)) return true;
	
	// adresar, kde by mela byt hra nainstalovana
	sprintf(dir, "%s/", PACKAGE_DATA_DIR);
	if (search_subdir(filename, dir)) return true;

	// nepodarilo se soubor najit!! -> vystup na stderr
	if (errormessage)
		fprintf(stderr, gettext("Unable to locate file %s\n"), filename);
	
	return false;
}

// //////////////////////////////////////////////////////////////// pocitani TPS
#ifdef WANT_STATISTIC
       
int tps_this_frame = 0;  // v aktualnim framu
int tps_this_second = 0; // v teto sekunde
int tps_total = 0;		 // uplne celkem
int tps = 0;           // aktualni hodnota tps
int tpf = 0;           // pocet trianglu na frame
int tps_time = 1;            // kolik ubehlo milisekund - neni jako external
int tps_frames = 0;          // pocita i pocet framu

	// vola se pri zacatku kazdeho framu
void Tps_new_frame()
{
	tps_this_second += tps_this_frame;
	tps_this_frame = 0;
	tps_frames++;
}
	
	// oznamujeme, ze a kolik trianglu se pridalo
void Tps_add(int triangles)
{
	tps_total += triangles;
	tps_this_frame += triangles;
}

	// rika, kolik milisekun odpadlo
void Tps_timapassed(int milisecs)
{
	tps_time += milisecs;

	if (tps_time > 1000) {
		tps = (1000*tps_this_second)/tps_time;
		tpf = tps_this_second / tps_frames;

		tps_time = 0;
		tps_this_second = 0;
		tps_frames = 0;
		
		printf(gettext("Actual triangles : %d/sec %d/frame\n"), tps, tpf);
		
	}
}


#endif
