//
// File: GKulicModel.h
// Created by: berny <(null)>
// Kulic2

// Created on: Fri Apr 11 17:24:02 2003
//

// model jednoho panacka v kulicovi
// protoze jeden panacek je kapku slozitejsi vec, je to takhle nakouskovane

#ifndef _GKULICMODEL_H_
#define _GKULICMODEL_H_

class H3DModel;
#include "GWeapon.h"  // kuli WEAPON_TYPES

class GKulicModel
{
	public:
		GKulicModel();
		 ~GKulicModel();
	
	// nacte model panacka podle parametru ze souboru + zmeni mu skin
		void InitModels(int ch, int skin);
	
		void AnimateModel(int time, bool f, bool b, bool l, bool r, int lives); // posune animaci nohou - f,b,l,r udavaji smery panacka
	
		void RenderModel(float x, float y, float z, GWeapon *weapon); // vyrenderuje model - tj. musi byt nastavena poloha atd.
																						  // pokud je weapon != NULL, zavola render i pro ni 
		
	protected:
	
	
	
		H3DModel*        m_leg; // aby mohly byt animovane, je to jako pole
		H3DModel*        m_legf; // nohy vpred
		H3DModel*        m_legsL; // nohy dostrany
		H3DModel*        m_legsR; // nohy dostrany
		H3DModel*        m_legdL; // nohy diagonalne
		H3DModel*        m_legdR; // nohy diagonalne
	
		H3DModel*        m_legA; // aktualni nohy
	
		H3DModel*        m_shadow; // model stinu
		H3DModel*        m_dead;   // model smrti
	
		H3DModel*        m_body[WEAPON_TYPES+1]; // ukazatel na POLE tel 0 .. WEAPON_TYPES, ktere je v GWeapon.h
															  // m_body[0] je bezezbrane a ostatni se maji ruce tak, aby do nich zapadla zbran
	
		bool             m_deadanim; // animace smrti
	
		int               m_ID;  // id v GSettingu
	
		st_character      m_c;  // kopie parametru ze GSetting
		int               m_actualtime;   // aktualni cas v animaci
	
};


#endif	//_GKULICMODEL_H_
