#ifndef _GLOBAL_FUNCTIONS_HEADER_
#define _GLOBAL_FUNCTIONS_HEADER_

// hleda soubor podle filename, pripadne vypise chybovou hlasku
bool find_file(char *filename, bool errormessage = true);


// rozmery okna (obrazovky) - aby se dali parametry projekce menit kdekoliv v programu
extern GLfloat SCREEN_WIDTH;
extern GLfloat SCREEN_HEIGHT;

#ifdef WANT_STATISTIC

// pocitani trojuhelniku
extern int tps_this_frame;  // v aktualnim framu
extern int tps_this_second; // v teto sekunde
extern int tps_total;		   // uplne celkem
extern int tps;           // aktualni hodnota tps
	
	// vola se pri zacatku kazdeho framu
void Tps_new_frame();

	// oznamujeme, ze a kolik trianglu se pridalo
void Tps_add(int triangles);

	// rika, kolik milisekun odpadlo
void Tps_timapassed(int milisecs);

#endif

#endif
